#!/bin/bash

# Change the following line to point to your linux kernel source tree
# Change the following line to point to the root of your HardHat installation

# You may want to edit the following to point to your ixp425_xscale_sw
# directory. Otherwise you must source this file from that directory.

export LINUX_SRC=`pwd`/linux-2.4.18_mvl30
export HARDHAT_BASE=/opt_mvl30/hardhat
export IX_XSCALE_SW=`pwd`/ixp425_xscale_sw_mvl30
export VSFTP_SRC=`pwd`/vsftpd-1.1.3

export TOPDIR=$LINUX_SRC
export TOOLENV=linux

export PATH=$HARDHAT_BASE/host/bin:$HARDHAT_BASE/devkit/arm/xscale_be/bin:$PATH
cd $LINUX_SRC
make distclean
make oldconfig
make dep 

cd $LINUX_SRC
make 

cd $VSFTP_SRC
make
cp $VSFTP_SRC/vsftpd $LINUX_SRC/igateway/

cd $LINUX_SRC
make ixp425.rmt

